<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@200708=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@20109D=00</action>
      <action>maincpu.pb@20348D=02</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power">
    <script state="run">
      <action>maincpu.pb@2010A0=04</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Weapon Energy">
    <script state="run">
      <action>maincpu.pb@201095=04</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Antiair">
    <script state="run">
      <action>maincpu.pb@203453=01</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Antisurface">
    <script state="run">
      <action>maincpu.pb@203455=01</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon">
    <parameter>
      <item value="0x03">Piercing</item>
      <item value="0x04">Wide</item>
      <item value="0x05">Guide</item>
      <item value="0x06">Laser</item>
      <item value="0x07">H. Bomb</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@201094=param</action>
    </script>
  </cheat>

  <cheat desc="Select Speed">
    <parameter>
      <item value="0x14">1</item>
      <item value="0x18">2</item>
      <item value="0x1C">3</item>
      <item value="0x20">4</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@201090=param</action>
    </script>
  </cheat>

  <cheat desc="Unlock Round Select Mode"> <comment>Reset the game to enter the round selection mode</comment>
    <script state="on">
      <action>temp0 =maincpu.mw@0004F2</action>
    </script>
    <script state="run">
      <action>maincpu.mw@0004F2=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.mw@0004F2=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@200753=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@200755=03</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
